> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a transfer category



## OpenAPI

````yaml /api-reference/data-api.json post /v2/transfers/enrichment/categories
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.31
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/transfers/enrichment/categories:
    post:
      tags:
        - Transfer Enrichments
      summary: Create or update a transfer category
      operationId: upsertCategory
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertTxCategoryDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxCategoryDto'
components:
  schemas:
    UpsertTxCategoryDto:
      type: object
      properties:
        transferId:
          type: string
        category:
          type: string
          maxLength: 255
      required:
        - transferId
        - category
    TxCategoryDto:
      type: object
      properties:
        workspaceId:
          type: string
        transferId:
          type: string
        category:
          type: string
        createdAt:
          type: string
      required:
        - workspaceId
        - transferId
        - category
        - createdAt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.